<template>
    <div class="sticky_section">
        <div class="product-slider" v-if="product.file_upload.length > 0">
            <v-carousel height="auto" hide-delimiters dark hide-delimiter-background
                class="v_product_slider" :show-arrows="product.file_upload.length==1?false:true" v-model="item_index">

                <v-carousel-item v-for="(upload, i) in product.file_upload" :key="i">
                    <v-sheet height="100%" tile>
                        <h5 class="wp-caption">{{ upload.title }}</h5>
                        <div class="product-slider-img" v-if="upload.type == 0"><img
                                :src="`${options.storage_root}/` + upload.upload.uploaded_path.replace('resized-', '')"
                                :title="(upload.title != null && upload.title != '') ? upload.title :product.name"
                                :alt="(upload.alt_text != null && upload.alt_text != '') ? upload.alt_text : product.name" /></div>
                        <div class="item youtube" v-else-if="upload.type == 2">
                            <iframe class="embed-player slide-media" width="980" height="520"
                                :src="`https://www.youtube.com/embed/${upload.youtube_link}?enablejsapi=1&controls=0&fs=0&iv_load_policy=3&rel=0&showinfo=0&loop=1&playlist=${upload.youtube_link}&start=1`"
                                frameborder="0" allowfullscreen></iframe>
                            <p class="caption">YouTube</p>
                        </div>
                        <div class="item video"
                            v-else-if="upload.type == 1 && (!upload.youtube_link) && upload.image_id == null">
                            <video class="slide-video slide-media" controls>
                                <source
                                    :src="`${options.storage_root}/` + upload.upload.uploaded_path.replace('resized-', '')"
                                    type="video/mp4">
                            </video>
                            <p class="caption">HTML 5 Video</p>
                        </div>
                        <div class="product-slider-img" v-else><img
                                :src="`${options.storage_root}/` + upload.upload.uploaded_path.replace('resized-', '')"
                                :title="(upload.title != null) ? upload.title : product.name"
                                :alt="(upload.alt_text != null) ? upload.alt_text : product.name" /></div>
                        <div class="img_caption" v-if="upload.caption != null && upload.caption != ''">{{ (upload.caption != null) ? upload.caption : product.name }}</div>

                    </v-sheet>
                </v-carousel-item>
            </v-carousel>
        </div>
        <ul v-else class="product-slider" >
            <div class="product-slider-img"><img src="/images/no-img.png" width="100%" alt=""/></div>
        </ul>
        <ul class="product-nav" v-if="product.file_upload.length > 0">
            <li v-for="(upload,i) in product.file_upload" :key="i">
                <div class="product-slider-thumb" v-if="upload.type==0"><img @click="changeImage(i)" :src="`${options.storage_root}/`+upload.upload.uploaded_path"  :title="(upload.title!=null) ? upload.title : product.name" :alt="(upload.alt_text!=null) ? upload.alt_text : product.name"/></div>
                <div class="product-slider-thumb" v-else-if="upload.type==1"><img :src="`${options.storage_root}/`+upload.upload.uploaded_path.replace('resized-','')" width="100%"  :title="(upload.title!=null) ? upload.title : domain.name" :alt="(upload.alt_text!=null) ? upload.alt_text : product.name"/></div>
                <div class="product-slider-thumb"  v-else-if="upload.type==2"><img :src="`http://i3.ytimg.com/vi/${upload.youtube_link}/hqdefault.jpg`" width="100%" alt=""/></div>
            </li>
        </ul>
        <div class="pdf_icon" v-if="product.user_manual!=null">
            <a :href="`${options.storage_root}/${product.user_manual.uploaded_path}`" target="_blank"><i class="fas fa-file-pdf"></i> Download User Manual</a>
        </div>
    </div>
</template>
<script>
import options from '~/assets/options';
export default {
    data() {
        return  {
            options : options,
            show_slider : false,
            domain      : this.$store.state.front_end_data.domain,
            item_index: 0
        }
    },
    props : ['product'],
    mounted() {
      setTimeout(()=>{
            productSlider();
        },1000);
    },
    methods: {
        changeImage(index) {
            this.item_index=index;
        },
    }
}
</script>
